#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		certname	local_cert
%define		dhname		local_dh
#-----------------------------------------------------------------------------
Name		:	libgcrypt
Version		:	1.11.0
Release		:	17.0.10.rel%{?dist}
Summary		:	General purpose low-level crypto library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and GPLv2+
URL		:	https://www.gnupg.org/ftp/gcrypt/libgcrypt

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libgpg-error

#-----------------------------------------------------------------------------
%description
Libgcrypt is a general purpose crypto library based on the code
used in GnuPG.  Libgcrypt depends on the library `libgpg-error',
which must be installed correctly before Libgcrypt is to be built.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSES NEWS README
%{_bindir}/dumpsexp
%{_bindir}/hmac256
%{_bindir}/%{name}-config
%{_bindir}/mpicalc
%{_includedir}/*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_infodir}/*.gz
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm}  %{buildroot}/%{_datadir}/info/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
